#ifndef WINOPCB_H
#define WINOPCB_H

#include <gtk/gtk.h>
#include "win.h"


extern void WinCloseCB(GtkWidget *widget, gpointer data);
extern void WinExitCB(GtkWidget *widget, gpointer data);

extern void WinNewCB(GtkWidget *widget, gpointer data);
extern void WinAddCB(GtkWidget *widget, gpointer data);
extern void WinRemoveCB(GtkWidget *widget, gpointer data);
extern void WinShiftUpCB(GtkWidget *widget, gpointer data);
extern void WinShiftDownCB(GtkWidget *widget, gpointer data);

extern void WinCutCB(GtkWidget *widget, gpointer data);
extern void WinCopyCB(GtkWidget *widget, gpointer data);
extern void WinPasteCB(GtkWidget *widget, gpointer data);

extern void WinClearSrcCB(GtkWidget *widget, gpointer data);
extern void WinClearTarCB(GtkWidget *widget, gpointer data);

extern void WinSelectAllCB(GtkWidget *widget, gpointer data);
extern void WinUnselectAllCB(GtkWidget *widget, gpointer data);
extern void WinInvertSelectionCB(GtkWidget *widget, gpointer data);

extern void WinPropertiesCB(GtkWidget *widget, gpointer data);

extern void WinSetTarDirCB(GtkWidget *widget, gpointer data);

extern void WinConvertCB(GtkWidget *widget, gpointer data);
extern void WinConvertSelectedCB(GtkWidget *widget, gpointer data);
extern void WinStopCB(GtkWidget *widget, gpointer data);
extern void WinRemoveConvertedCB(GtkWidget *widget, gpointer data);
extern void WinRecursiveCB(GtkWidget *widget, gpointer data);

extern void WinOpenCB(GtkWidget *widget, gpointer data);
extern void WinRefreshCB(GtkWidget *widget, gpointer data);
extern void WinPreviewSrcCB(GtkWidget *widget, gpointer data);
extern void WinPreviewSrcShowDetailsCB(GtkWidget *widget, gpointer data);
extern void WinPreviewTarCB(GtkWidget *widget, gpointer data);
extern void WinPreviewTarShowDetailsCB(GtkWidget *widget, gpointer data);
extern void WinViewToolBarCB(GtkWidget *widget, gpointer data);
extern void WinViewStatusBarCB(GtkWidget *widget, gpointer data);

extern void WinNewImgWorksCB(GtkWidget *widget, gpointer data);
extern void WinNewImbrCB(GtkWidget *widget, gpointer data);

extern void WinHelpContentsCB(GtkWidget *widget, gpointer data);
extern void WinHelpAboutCB(GtkWidget *widget, gpointer data);


#endif	/* WINOPCB_H */
